#!/bin/sh

BIN=/disk/RIST
PROGRAM=gateway_app

start_tun() {
  SERVER_IP_ARG=
  [ "$SERVER_IP_ADDR" != "" ] && SERVER_IP_ARG="--server-ip $SERVER_IP_ADDR"
  ROUTING_ARG=
  [ "$ROUTING" = true ] && ROUTING_ARG='--routing'
  REDUCED_MODE_ARG=
  [ "$REDUCED_MODE" = true ] && REDUCED_MODE_ARG='--reduced-mode'
  NO_DTLS_ARG=
  [ "$NO_DTLS" = true ] && NO_DTLS_ARG='--no-dtls'
  PERCENT_LOSS_ARG=
  [ "$PERCENT_LOSS" -gt 0 ] && PERCENT_LOSS_ARG="--percent-loss $PERCENT_LOSS"

  cd $BIN/certs
  gateway_app $SERVER_IP_ARG \
         --port $SERVER_PORT \
         --tun-ip-addr $TUN_IP_ADDR \
         --start-port $START_PORT \
         --num-sessions $NUM_SESSIONS \
         $ROUTING_ARG \
         $REDUCED_MODE_ARG \
         $NO_DTLS_ARG \
         $PERCENT_LOSS_ARG > /var/log/tun.log 2>&1 &
}

stop_tun() {
  killall $PROGRAM
}

proxy_running() {
    pidof $PROGRAM > /dev/null
    exit $?
}

case "$1" in
  start)
    if ! pidof $PROGRAM > /dev/null ; then
      eval `$BIN/tun_getconfig.sh sh`
      start_tun
    fi
    $BIN/tun_started.sh set 1
    $BIN/tun_getstate.sh
    ;;
  stop)
    if pidof $PROGRAM > /dev/null ; then
      stop_tun
      sleep 2
    fi
    $BIN/tun_started.sh set 0
    $BIN/tun_getstate.sh
    ;;
  status)
    proxy_running
    ;;
esac
