#!/bin/sh

. /flash/qvidium/inputs.conf
PROGRAM=RISTTx
[ "$QVDEC_BOARD" = true ] && PROGRAM=RISTRx

RIST_DIR=/disk/RIST
DATA_BASE=$RIST_DIR/proxy_db
NAME=Name,
NAME=
case "$1" in
    sh) TYPE=sh ;;
  json) TYPE=json ;;
     *) TYPE=xml ;;
esac

getrxconfig() {
  RX_TABLE=rx_config
  RX_FIELDS1=${NAME}DstIPAddr,DstPort,SrcPort,DelayReorder
  RX_FIELDS2=PeriodRetrans,DelayRetrans,UseRange,CmdPort
  SQL="SELECT $RX_FIELDS1,$RX_FIELDS2 from $RX_TABLE;"
  echo "$SQL" | sqlite3 $DATA_BASE | awk -f $RIST_DIR/rx_config_$TYPE.awk
}

gettxconfig() {
  TX_TABLE=tx_config
  TX_FIELDS1=${NAME}DstIPAddr,DstPort,SrcPort
  TX_FIELDS2=CmdPort
  SQL="SELECT $TX_FIELDS1,$TX_FIELDS2 from $TX_TABLE;"
  echo "$SQL" | sqlite3 $DATA_BASE | awk -f $RIST_DIR/tx_config_$TYPE.awk
}

case "$PROGRAM" in
  *Tx*) gettxconfig ;;
     *) getrxconfig ;;
esac
