#!/bin/sh

RIST_DIR=/disk/RIST

DST_IP_ADDR=192.168.1.155
DST_PORT=10000
SRC_PORT=7100
DELAY_REORDER=50
PERIOD_RETRANS=70
DELAY_RETRANS=1500
USE_RANGE=false
CMD_PORT=2112

if [ "$1" = test ] ; then
  TEST_VERBOSE=y
  USE_RANGE=true
  set -x
  . $RIST_DIR/setconfig.sh
  exit 0
fi

DATA_BASE=$RIST_DIR/proxy_db
RX_TABLE=rx_config
NAME=Default
RX_FIELDS1=Name,DstIPAddr,DstPort,SrcPort,DelayReorder
RX_FIELDS2=PeriodRetrans,DelayRetrans,UseRange,CmdPort,Started
      
sqlite3 $DATA_BASE <<!
INSERT INTO $RX_TABLE ($RX_FIELDS1,$RX_FIELDS2)
    VALUES (
        '$NAME','$DST_IP_ADDR','$DST_PORT','$SRC_PORT','$DELAY_REORDER',
        '$PERIOD_RETRANS','$DELAY_RETRANS','$USE_RANGE','$CMD_PORT','0'
        );
!
