#!/bin/sh

RIST_DIR=/disk/RIST

. /flash/qvidium/inputs.conf

if [ "$QVENC_BOARD" = true ] ; then
  SERVER_IP_ADDR=192.168.1.24
  TUN_IP_ADDR=192.168.2.10
else
  SERVER_IP_ADDR=
  TUN_IP_ADDR=192.168.2.1
fi

SERVER_PORT=6100
START_PORT=7100
NUM_SESSIONS=4
ROUTING=false
REDUCED_MODE=false
NO_DTLS=false
PERCENT_LOSS=5
STARTED=0

if [ "$1" = test ] ; then
  TEST_VERBOSE=y
  set -x
  . $RIST_DIR/tun_setconfig.sh
  exit 0
fi

DATA_BASE=$RIST_DIR/proxy_db
TUN_TABLE=tun_config
NAME=Default
TUN_FIELDS1=Name,ServerIPAddr,ServerPort,TunIPAddr,StartPort
TUN_FIELDS2=NumSessions,Routing,ReducedMode,NoDTLS,PercentLoss,Started

sqlite3 $DATA_BASE <<!
INSERT INTO $TUN_TABLE ($TUN_FIELDS1,$TUN_FIELDS2)
    VALUES (
        '$NAME','$SERVER_IP_ADDR','$SERVER_PORT','$TUN_IP_ADDR',
        '$START_PORT','$NUM_SESSIONS','$ROUTING','$REDUCED_MODE',
        '$NO_DTLS','$PERCENT_LOSS','0'
        );
!
