#!/bin/sh

. /flash/qvidium/inputs.conf
PROGRAM=RISTTx
[ "$QVDEC_BOARD" = true ] && PROGRAM=RISTRx

BIN=/disk/RIST
DATA_BASE=$BIN/proxy_db
NAME=Default

case "$1" in
    sh) TYPE=sh ;;
  json) TYPE=json ;;
     *) TYPE=xml ;;
esac
           
if [ "$PROGRAM" = RISTRx ] ; then
  TABLE=rx_config
  FIELDS1=DstIPAddr,DstPort,SrcPort,DelayReorder
  FIELDS2=PeriodRetrans,DelayRetrans,UseRange,CmdPort
  AWK_FILE=$BIN/rx_config_$TYPE.awk
else
  TABLE=tx_config
  FIELDS1=DstIPAddr,DstPort,SrcPort
  FIELDS2=CmdPort
  AWK_FILE=$BIN/tx_config_$TYPE.awk
fi

SQL="SELECT Name FROM $TABLE WHERE Name = '$NAME';"
Result=`echo "$SQL" | sqlite3 $DATA_BASE`

if [ "$Result" = "" ] ; then # Inserting into database
  [ "$TEST_VERBOSE" = y ] && echo "INSERTING into database"
  if [ "$PROGRAM" = RISTRx ] ; then
    sqlite3 $DATA_BASE <<!
INSERT INTO $TABLE (Name,$FIELDS1,$FIELDS2,Started)
    VALUES (
        '$NAME','$DST_IP_ADDR','$DST_PORT','$SRC_PORT','$DELAY_REORDER',
        '$PERIOD_RETRANS','$DELAY_RETRANS','$USE_RANGE','$CMD_PORT','0'
       );
!
  else
    sqlite3 $DATA_BASE <<!
INSERT INTO $TABLE (Name,$FIELDS1,$FIELDS2,Started)
    VALUES (
        '$NAME','$DST_IP_ADDR','$DST_PORT','$SRC_PORT','$CMD_PORT','0'
       );
!
  fi
else # Updating database
  [ "$TEST_VERBOSE" = y ] && echo "UPDATING database"
  if [ "$PROGRAM" = RISTRx ] ; then
    sqlite3 $DATA_BASE <<!
UPDATE $TABLE
    SET DstIPAddr = '$DST_IP_ADDR', DstPort = '$DST_PORT',
        SrcPort = '$SRC_PORT', DelayReorder = '$DELAY_REORDER',
        PeriodRetrans = '$PERIOD_RETRANS', DelayRetrans = '$DELAY_RETRANS',
        UseRange = '$USE_RANGE', CmdPort = '$CMD_PORT'
    WHERE Name = '$NAME';
!
  else
    sqlite3 $DATA_BASE <<!
UPDATE $TABLE
    SET DstIPAddr = '$DST_IP_ADDR', DstPort = '$DST_PORT',
        SrcPort = '$SRC_PORT', CmdPort = '$CMD_PORT'
    WHERE Name = '$NAME';
!
  fi
fi

SQL="SELECT $FIELDS1,$FIELDS2 from $TABLE;"
echo "$SQL" | sqlite3 $DATA_BASE | awk -f $AWK_FILE
