#!/bin/sh

BIN=/disk/RIST
DATA_BASE=$BIN/proxy_db
NAME=Default

case "$1" in
    sh) TYPE=sh ;;
  json) TYPE=json ;;
     *) TYPE=xml ;;
esac
           
TABLE=tun_config
NAME=Default
FIELDS1=ServerIPAddr,ServerPort,TunIPAddr,StartPort
FIELDS2=NumSessions,Routing,ReducedMode,NoDTLS,PercentLoss
AWK_FILE=$BIN/tun_config_$TYPE.awk

SQL="SELECT Name FROM $TABLE WHERE Name = '$NAME';"
Result=`echo "$SQL" | sqlite3 $DATA_BASE`

if [ "$Result" = "" ] ; then # Inserting into database
  [ "$TEST_VERBOSE" = y ] && echo "INSERTING into database"
  sqlite3 $DATA_BASE <<!
INSERT INTO $TABLE (Name,$FIELDS1,$FIELDS2,Started)
    VALUES (
        '$NAME','$SERVER_IP_ADDR','$SERVER_PORT','$TUN_IP_ADDR',
        '$START_PORT','$NUM_SESSIONS','$ROUTING','$REDUCED_MODE',
        '$NO_DTLS','$PERCENT_LOSS','0'
        );
!
else # Updating database
  [ "$TEST_VERBOSE" = y ] && echo "UPDATING database"
  sqlite3 $DATA_BASE <<!
UPDATE $TABLE
    SET ServerIPAddr = '$SERVER_IP_ADDR', ServerPort = '$SERVER_PORT',
        TunIPAddr = '$TUN_IP_ADDR', StartPort = '$START_PORT',
        NumSessions = '$NUM_SESSIONS', Routing = '$ROUTING',
        ReducedMode = '$REDUCED_MODE', NoDTLS = '$NO_DTLS',
        PercentLoss = '$PERCENT_LOSS'
    WHERE Name = '$NAME';
!
fi

SQL="SELECT $FIELDS1,$FIELDS2 from $TABLE;"
echo "$SQL" | sqlite3 $DATA_BASE | awk -f $AWK_FILE
