#!/bin/sh

RIST_DIR=/disk/RIST
NAME=Default
DATA_BASE=$RIST_DIR/proxy_db

PROGRAM=gateway_app
TABLE=tun_config
TAG=TUN_STATE

output_xml() {
  STATE=false
  pidof $PROGRAM > /dev/null && STATE=true
  cat <<!
<?xml version="1.0" encoding="UTF-8"?>
<GATEWAY_CONTROL>
  <$TAG>
    <RUNNING>$STATE</RUNNING>
  </$TAG>
</GATEWAY_CONTROL>
!
}

set_started() {
  SQL="UPDATE $TABLE SET Started = '$started' WHERE Name = '$NAME';"
  echo "$SQL" | sqlite3 $DATA_BASE
}

get_started() {
  SQL="SELECT Started FROM $TABLE WHERE Name = '$NAME';"
  output=`echo "$SQL" | sqlite3 $DATA_BASE`
}

case "$1" in
  set)
    if [ "$2" != "" ] ; then
      # set started from command line
      started=$2
    else
      # set started according to process running or not
      started=0
      $RIST_DIR/controltun.sh status && started=1
    fi
    set_started
    ;;
  get)
    get_started
    rc=1
    [ "$output" = 1 ] && rc=0
    exit $rc
    ;;
    *)
    ;;
esac
