#!/bin/sh

BIN=/disk/RIST
. /flash/qvidium/inputs.conf

cat_index() {
  NAME=Tx
  JSCRIPT=rist_tx.js
  if [ "$QVDEC_BOARD" = true ] ; then
    NAME=Rx
    JSCRIPT=rist_rx.js
  fi
  cat <<!
Content-type: text/html

<!DOCTYPE html>
<html>
<head>
 <title>QVidium RIST $NAME Control</title>
 <meta name="viewport" content="width=device-width, initial-scale=1">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <link href="../ui.css" type="text/css" rel="stylesheet" media="all">
 <script src="../util.js"></script>
 <script src="../rist_ui.js"></script>
 <script src="../rist_cfg.js"></script>
 <script src="../$JSCRIPT"></script>
</head>
<body onload="myload()">
 <article>
  <div class="container">
   <button id="start" class="btn" onclick="startProxy()">Start</button>
   <button id="stop" class="btn" onclick="stopProxy()">Stop</button>
   <button id="monitor" class="btn" onclick="monitorProxy()">Monitor</button>
   <button id="config" class="btn" onclick="configProxy()">Config</button>
   <button id="reset" class="btn" onclick="resetProxy()">Reset Stats</button>
  </div>
  <div id='main_page'>Stopped</div>
 </article>
</body>
</html>
!
}

if [ "$REQUEST_METHOD" = POST ] ; then
  if [ "$CONTENT_TYPE" = application/x-www-form-urlencoded ] ; then
    read QUERY_STRING
    #QUERY_STRING=`cat -` # for multiline
    #echo "QUERY_STRING = '$QUERY_STRING'" > /dev/console
  fi
fi

if [ "$QUERY_STRING" != "" ] ; then
  cat <<!
Content-type: application/xml
Cache-Control: no-cache, no-store, must-revalidate
Pragma: no-cache
Expires: 0

!
  eval `./cgiparse "$QUERY_STRING"`
  if [ "$getstate" != "" ] ; then
    $BIN/getstate.sh
  elif [ "$getstats" != "" ] ; then
    $BIN/getstats.sh
  elif [ "$getconfig" != "" ] ; then
    $BIN/getconfig.sh
  elif [ "$start" != "" ] ; then
    $BIN/controlproxy.sh start
  elif [ "$stop" != "" ] ; then
    $BIN/controlproxy.sh stop
  elif [ "$reset" != "" ] ; then
    $BIN/controlproxy.sh reset
  else
    . $BIN/setconfig.sh
  fi
else
    cat_index # returns the initial HTML page
fi
