#!/bin/sh

BIN=/disk/RIST

cat_index() {
  NAME=Tun
  JSCRIPT=rist_tun.js
  cat <<!
Content-type: text/html

<!DOCTYPE html>
<html>
<head>
 <title>QVidium Tunnel $NAME Control</title>
 <meta name="viewport" content="width=device-width, initial-scale=1">
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <link href="../ui.css" type="text/css" rel="stylesheet" media="all">
 <script src="../util.js"></script>
 <script src="../tun_ui.js"></script>
 <script src="../tun_cfg.js"></script>
 <script src="../$JSCRIPT"></script>
</head>
<body onload="myload()">
 <article>
  <div class="container">
   <button id="start" class="btn" onclick="startGateway()">Start</button>
   <button id="stop" class="btn" onclick="stopGateway()">Stop</button>
   <button id="config" class="btn" onclick="configGateway()">Config</button>
  </div>
  <div id='main_page'>Stopped</div>
 </article>
</body>
</html>
!
}

if [ "$REQUEST_METHOD" = POST ] ; then
  if [ "$CONTENT_TYPE" = application/x-www-form-urlencoded ] ; then
    read QUERY_STRING
    #QUERY_STRING=`cat -` # for multiline
    #OUTPUT=/dev/console
    #OUTPUT=/dev/pts/0
    #echo "QUERY_STRING = '$QUERY_STRING'" > $OUTPUT
  fi
fi

if [ "$QUERY_STRING" != "" ] ; then
  cat <<!
Content-type: application/xml
Cache-Control: no-cache, no-store, must-revalidate
Pragma: no-cache
Expires: 0

!
  eval `./cgiparse "$QUERY_STRING"`
  if [ "$getstate" != "" ] ; then
    $BIN/tun_getstate.sh
  elif [ "$getconfig" != "" ] ; then
    $BIN/tun_getconfig.sh
  elif [ "$start" != "" ] ; then
    $BIN/controltun.sh start
  elif [ "$stop" != "" ] ; then
    $BIN/controltun.sh stop
  else
    . $BIN/tun_setconfig.sh
  fi
else
    cat_index # returns the initial HTML page
fi
